# Generated by Django 5.0.7 on 2024-08-28 10:05

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections", "0058_alter_electionshomepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="electionshomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "desktop_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na desktopu.",
                                        label="Obrázek na pozadí (desktop)",
                                    ),
                                ),
                                (
                                    "mobile_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud je vybrán, ukáže se místo videa na mobilu.",
                                        label="Obrázek (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na desktopech s povoleným autoplayem místo obrázku.",
                                        label="URL videa",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="První mobilní řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Druhý mobilní řádek"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "stream_candidates",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "candidate",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka"
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "description",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Popis",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "custom_candidate",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Nadpis"
                                                            ),
                                                        ),
                                                        (
                                                            "subtitle",
                                                            wagtail.blocks.CharBlock(
                                                                label="Podnadpis",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "job",
                                                            wagtail.blocks.CharBlock(
                                                                label="Povolání",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "description",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Popis",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "button_url",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz tlačítka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "button_text",
                                                            wagtail.blocks.CharBlock(
                                                                default="Zjisti více",
                                                                help_text="Pokud není vyplněno, odkaz tlačítka se nezobrazí",
                                                                label="Text tlačítka",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label=" ",
                                        required=False,
                                    ),
                                ),
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Popis", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label=" ",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "secondary_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "heading",
                                    wagtail.blocks.CharBlock(
                                        default="Ostatní kandidáti",
                                        label=" ",
                                        required=False,
                                    ),
                                ),
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.CharBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                        min_num=0,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "label",
                                    wagtail.blocks.CharBlock(
                                        default="Program",
                                        help_text="Např. 'Program'",
                                        label="Nadpis",
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Obsah"
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                        label="Body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie",
                                    ),
                                ),
                                (
                                    "long_version_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                        label="Odkaz na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "long_version_text",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis odkazu na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(
                                        label="Popis", required=False
                                    ),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/elections/articles_section.html",
                        ),
                    ),
                    (
                        "calendar",
                        wagtail.blocks.StructBlock(
                            [("heading", wagtail.blocks.CharBlock(label="Nadpis"))]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
